Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.calculator
Class MathFunctions

    java.lang.Object
      org.statcato.calculator.MathFunctions

    public class MathFunctions

extends java.lang.Object

Defines functions used in the calculator.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary
`static int` | `ABS`
`static int` | `ACOS`
`static int` | `ASIN`
`static int` | `ATAN`
`static int` | `CEIL`
`static int` | `COS`
`static int` | `EXP`
`static int` | `FACTORIAL`
`static int` | `FLOOR`
`static java.lang.String[]` | `FUNNAMES`
`static int` | `LN`
`static int` | `LOG`
`static double` | `PI`
`static int` | `ROUND`
`static int` | `SIN`
`static int` | `SQRT`
`static int` | `TAN`
`static double` | `UNDEFINED`

Constructor Summary
`MathFunctions()`

Method Summary
`int` | `getFunctionNumber(java.lang.String s)` Returns the function number corresponding to the given function name.
`static java.lang.String[]` | `getSortedFunNames()` Returns the array of sorted function name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIN

    public static final int SIN

See Also:
  Constant Field Values

### COS

    public static final int COS

See Also:
  Constant Field Values

### EXP

    public static final int EXP

See Also:
  Constant Field Values

### ABS

    public static final int ABS

See Also:
  Constant Field Values

### TAN

    public static final int TAN

See Also:
  Constant Field Values

### ACOS

    public static final int ACOS

See Also:
  Constant Field Values

### ASIN

    public static final int ASIN

See Also:
  Constant Field Values

### ATAN

    public static final int ATAN

See Also:
  Constant Field Values

### CEIL

    public static final int CEIL

See Also:
  Constant Field Values

### FLOOR

    public static final int FLOOR

See Also:
  Constant Field Values

### LOG

    public static final int LOG

See Also:
  Constant Field Values

### ROUND

    public static final int ROUND

See Also:
  Constant Field Values

### SQRT

    public static final int SQRT

See Also:
  Constant Field Values

### LN

    public static final int LN

See Also:
  Constant Field Values

### FACTORIAL

    public static final int FACTORIAL

See Also:
  Constant Field Values

### PI

    public static final double PI

See Also:
  Constant Field Values

### UNDEFINED

    public static final double UNDEFINED

See Also:
  Constant Field Values

### FUNNAMES

    public static final java.lang.String[] FUNNAMES

Constructor Detail

### MathFunctions

    public MathFunctions()

Method Detail

### getFunctionNumber

    public int getFunctionNumber(java.lang.String s)

  Returns the function number corresponding to the given function name.

  Parameters:
    `s` - function name
  Returns:
    function number

### getSortedFunNames

    public static java.lang.String[] getSortedFunNames()

  Returns the array of sorted function name.

  Returns:
    array of sorted function name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD